%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate env_logger

Name:           rust-env_logger0.8
Version:        0.8.4
Release:    1%{?dist}
Summary:        Logging implementation configured via an environment variable

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/env_logger
Source0:         %{crates_source}
BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A logging implementation for `log` which is configured via an
environment variable.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+atty-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+atty-devel %{_description}

This package contains library source intended for building other packages which
use the "atty" feature of the "%{crate}" crate.

%files       -n %{name}+atty-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+humantime-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+humantime-devel %{_description}

This package contains library source intended for building other packages which
use the "humantime" feature of the "%{crate}" crate.

%files       -n %{name}+humantime-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages which
use the "regex" feature of the "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+termcolor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+termcolor-devel %{_description}

This package contains library source intended for building other packages which
use the "termcolor" feature of the "%{crate}" crate.

%files       -n %{name}+termcolor-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.4-1
- initial build
